
QGIS Application - Bug report #12032

Features disappear when zooming

2015-01-21 07:35 PM - Christine Spits

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:
Description

I'm running QGIS 2.6.0 on a Windows 7 Professional PC.

My issue is that I'm finding that some features within a layer (shapefile) are disappearing when zooming to certain extents (extent varies).

I also cannot select the feature when this happens. The issue seems to occur randomly when editing the layer. Essentially it appears as if

the feature has been deleted however is visible at certain extents.

I have tried:

- removing the layer from the project and adding it back in. Issue still occurs. 

- opening a new project and adding the layer. Issue still occurs. 

- saving the layer as a new file and adding to the project. Issue still occurs. 

- saving the layer as a new file, closing the project, starting a new project and adding the newly saved layer. Issue still occurs.

I am running the following plugins:

- Topology Checker

- autoSaver

The issue has occurred regardless of whether these plugins were/were not in use. I have also checked the properties of the layers

affected and 'scale dependent visibility' has always been left un-ticked.

Any help would be much appreciated!

Thanks,

Christine

History

#1 - 2015-01-22 03:51 AM - Harrissou Santanna

Hi,

I think this is rather an issue with your data. It might contain features with not valid geometries. Check it and fix this errors and all should be fine, I think.

A related thread here : http://lists.osgeo.org/pipermail/qgis-developer/2015-January/036458.html

#2 - 2015-01-22 06:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach a sample of the problematic data.
#3 - 2015-01-22 03:40 PM - Christine Spits

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Hi all,

Thanks for your input.

Harrissou, I did a check against invalid geometries with the 'Check Geometry Validity' tool and it appears that the feature in question did have some

geometric errors.

The tool provided a feature ID number which I was then able to locate in the attribute table and delete the feature altogether, which is great because using

the select tool did not locate the feature in the attribute table earlier and I was unable to select the nodes. I could have just corrected the geometric errors

however deleting it altogether was easier in my case rather than try to fix all of the errors associated with the feature.

Many thanks once again!

Christine

2024-04-09 2/2


